﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model SSCMvc.Models.Tb_StudentTransfer


@{
    ViewBag.Title = "TransferStudent";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
    @Html.HiddenFor(model=>model.Id)
    @Html.HiddenFor(model => model.TransferBy)
    @Html.HiddenFor(model => model.CDate)
    @Html.HiddenFor(model => model.TransStatus)



    <div class="header">
        <div class="stats">
        </div>

        <h1 class="page-title">Transfer Student</h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
        }

        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Transfer Student</li>
    </ul>


    <div class="container-fluid">
        <div class="row-fluid">

            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />
                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />

                <div class="btn-group">
                </div>
            </div>
            <div class="well">

                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table width="860px">
                                <tr>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>Student</td>
                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.DropDownList("StudentId", null, new { @class = "form-control input-large select2me", @readonly = "true" })
                                      @*<input type="text"  value="@ViewBag.Student" class="form-control" readonly />
                                        <input type="hidden" id="stid" name="stid" value="@ViewBag.StId" class="form-control" />*@
                                    </td>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>To Branch</td>
                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.DropDownList("BranchId", (SelectList)ViewBag.val, "Select", new { @class = "form-control input-large select2me", @Placeholder = "Select...", @disabled = "true" })
                                      
                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>From Branch</td>
                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.DropDownList("BranchIdF", (SelectList)ViewBag.val, "Select", new { @class = "form-control input-large select2me", @Placeholder = "Select..." , @disabled="true"})

                                    </td>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>To Counsellor</td>
                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.DropDownList("UserId", (SelectList)ViewBag.val, "Select", new { @class = "form-control", @Placeholder = "Select..." })

                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>Remarks</td>
                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.TextAreaFor(model=>model.Remarks,new {@class="form-control", @rows="3" })
                                        @*<textarea type="text" id="Remarks" name="Remarks"  class="form-control" rows="3" required></textarea>*@
                                      
                                    </td>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>Transfer Date</td>
                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.TextBoxFor(model => model.TransferDate,"{0: MM/dd/yyyy}", new { @class = "form-control" })
                                        @*<input type="text" id="Tdate" name="Tdate" value="@ViewBag.fdate" class="form-control"  required/>*@

                                    </td>
                                </tr>
                                <tr>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>Course</td>
                                                <td></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                     
                                        @Html.TextAreaFor(model => model.Course,2,2, new { @class = "form-control" , @readonly="true" })
                                    </td>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>Package</td>
                                                <td></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.TextBoxFor(model => model.Package, new { @class = "form-control", @readonly = "true" })

                                    </td>


                                </tr>
                                <tr>
                                  
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>Status</td>
                                                <td></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.CheckBoxFor(model => model.Status)
                                    </td>
                                    <td style="width: 180px">
                                        <table>
                                            <tr>
                                                <td>Balance Amount</td>
                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @{
                                            if (utype == CommonUtil.UserTypeAdmin || utype == CommonUtil.UserTypeSuperAdmin)
                                            {
                                                @Html.TextBoxFor(model => model.BalanceAmt, new { @class = "form-control" })
                                            }
                                            else
                                            {
                                                @Html.TextBoxFor(model => model.BalanceAmt, new { @class = "form-control" })
                                            }
                                        }
                                    
                                        @*<input type="text" id="Tdate" name="Tdate" value="@ViewBag.fdate" class="form-control"  required/>*@

                                    </td>
                                </tr>

                            </table>

                        </form>
                    </div>

                </div>

            </div>

        </div>
    </div>
            }

@section scripts{
    <script>
        $(document).ready(function () {
            @*GetUserBybranch();
            var udd = '@Model.TransferTo';
            alert(udd)
            $("#UserId").val(udd);*@
        })
    </script>
    <script>
        $("#BranchId").change(function () {
   //         var BchId = $(this).val();
   //         $.getJSON("/MaAdmission/LoadCousellorByBranch", { bid: BchId },
   //function (modelData) {
   //    var select = $("#UserId");
   //    select.empty();
   //    select.append($('<option/>', {
   //        value: 0,
   //        text: "Select"
   //    }));
   //    $.each(modelData, function (index, itemData) {
   //        select.append($('<option/>', {
   //            value: itemData.Value,
   //            text: itemData.Text,
   //        }));
   //    });
            //});
            GetUserBybranch();
        });
    </script>
    <script>
        function GetUserBybranch()
        {
            var BchId = $("#BranchId").val();
            $.getJSON("/MaAdmission/LoadCousellorByBranch", { bid: BchId },
function (modelData) {
    var select = $("#UserId");
    select.empty();
    select.append($('<option/>', {
        value: 0,
        text: "Select"
    }));
    $.each(modelData, function (index, itemData) {
        select.append($('<option/>', {
            value: itemData.Value,
            text: itemData.Text,
        }));
    });
});
        }
    </script>
    <script>
        $("#TransferDate").datepicker();
    </script>
    }

